Subject: [rfc-i] Welcome to the RFC Editor Future Development Program

From: Eliot Lear <[email-masked]>
Date: Mon, 30 Mar 2020 08:51:53 +0200

[Bcc: rfc-interest just this once: if you want to join the program mailing list, you can click here <https://www.iab.org/mailman/listinfo/rfced-future>.]

Greetings and welcome to the new RFC Editor Future Development Program.

Last year, the RFC Editor held a number of sessions to discuss how the RFC editor program might evolve. This program was chartered to foster discussion and consensus on possible changes. Such changes could include the role of the RFC editor, the role of others, the structure means by which the RFC editor and those others are overseen, and any necessary accountability mechanisms, just to name a few aspects.  A number of others were discussed last year, and I’m sure those will come up again.

What if anything changes is entirely up to the community, as this is being run under an IAB open program, and it will be IETF community members who put forward both problem statements and proposed solutions.

Your chair has no particular agenda with regard to what the outcome of this work should be.  On the other hand, with people having passionate views on this subject, my only agenda is to try to make the experience positive for everyone.  Please help me in that endeavor, and in doing so we will reach for the broadest consensus.

Regarding working methods, our program charter says that we will operate similar to an IETF working group.  Those procedures are spelled out in RFC 2418 Section 3, and I propose to stay congruent with them so that there are no surprises.  

With this having been said, I propose to proceed as follows:

Open up “the floor” for short problem statements that people think we need to address. We should be clear on what we see as problems and their scope.
See if we can get agreement on those.
Open up “the floor” for proposals on how to solve those problems.
See if we can get agreement on those.
For (1) and (3) we can provide some structure to facilitate comparison and discussion, if that is the wish of the group.  This in itself is a discussion point I invite you to address.

The pace of this work will depend very much on how fast we come to consensus on both the problems and the solutions.  The timing of meetings will be driven by the group.  We can address that in more detail in due course.

Do people find this agreeable?  Otherwise, please feel free to propose alternatives that the group can consider.

Eliot

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest